package com.ylx.massage.domain;

import com.alibaba.fastjson.JSONArray;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.FastjsonTypeHandler;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 项目
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName(value = "t_xiangmu",autoResultMap = true)
@ApiModel(value = "TXiangmu", description = "服务项目")
public class TXiangmu implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 项目id
     */
    @TableId("c_id")
    @ApiModelProperty("cId")
    private String cId;

    /**
     * 标题
     */
    @TableField("c_title")
    @ApiModelProperty("标题")
    private String cTitle;

    /**
     * 项目分类（1：按摩类 2：陪玩类）
     */
     @TableField("project_type")
     @ApiModelProperty("项目分类（1：按摩类 2：陪玩类）")
    private Integer projectType;

    /**
     * 封面图
     */
    @TableField("c_cover")
    @ApiModelProperty("封面图")
    private String cCover;

    /**
     * 原价
     */
    @TableField("d_yuan_price")
    @ApiModelProperty("原价")
    private BigDecimal dYuanPrice;

    /**
     * 标注价格（现价）
     */
    @TableField("d_price")
    @ApiModelProperty("标注价格（现价）")
    private BigDecimal dPrice;

    /**
     * 时长分钟
     */
    @TableField("n_minute")
    @ApiModelProperty("时长分钟")
    private Integer nMinute;

    /**
     * 亮点list JsonArray
     */
    @TableField(value = "c_ld_list")
    @ApiModelProperty("亮点")
    private String cLdList;

    /**
     * 性别限制	0不限制	1男	2女
     */
    @TableField("n_sex_limit")
    @ApiModelProperty("性别限制\t0不限制\t1男\t2女")
    private Integer nSexLimit;

    /**
     * 适用人群
     */
    @TableField("c_syrq")
    @ApiModelProperty("适用人群")
    private String cSyrq;

    /**
     * 项目详情 复文本
     */
    @TableField("c_detail")
    @ApiModelProperty("项目详情 富文本")
    private String cDetail;

    /**
     * 已售
     */
    @TableField("n_sale_number")
    @ApiModelProperty("已售")
    private Integer nSaleNumber;

    /**
     * 推荐技师
     */
    @TableField("recommend_technician")
    @ApiModelProperty("推荐技师")
    private String recommendTechnician;

    /**
     * 推荐技师ID
     */
    @TableField(exist = false)
    @ApiModelProperty("推荐技师ID")
    private List<String> recommendTechnicianList;

    /**
     * 推荐技师
     */
    @TableField(exist = false)
    @ApiModelProperty("部门名称")
    private String deptName;

    /**
     * 创建时间
     */
    @TableField("dt_create_time")
    @ApiModelProperty("创建时间")
    private LocalDateTime dtCreateTime;

    @ApiModelProperty("是否删除0否1是")
    @TableLogic
    private Integer isDelete;

     /**
      * 项目金额
      */
    @TableField(exist = false)
    private BigDecimal sum;

    public String getcId() {
        return cId;
    }

    public void setcId(String cId) {
        this.cId = cId;
    }

    public String getcTitle() {
        return cTitle;
    }

    public void setcTitle(String cTitle) {
        this.cTitle = cTitle;
    }

    public String getcCover() {
        return cCover;
    }

    public void setcCover(String cCover) {
        this.cCover = cCover;
    }

    public BigDecimal getdYuanPrice() {
        return dYuanPrice;
    }

    public void setdYuanPrice(BigDecimal dYuanPrice) {
        this.dYuanPrice = dYuanPrice;
    }

    public BigDecimal getdPrice() {
        return dPrice;
    }

    public void setdPrice(BigDecimal dPrice) {
        this.dPrice = dPrice;
    }

    public Integer getnMinute() {
        return nMinute;
    }

    public void setnMinute(Integer nMinute) {
        this.nMinute = nMinute;
    }

    public String getcLdList() {
        return cLdList;
    }

    public void setcLdList(String cLdList) {
        this.cLdList = cLdList;
    }

    public Integer getnSexLimit() {
        return nSexLimit;
    }

    public void setnSexLimit(Integer nSexLimit) {
        this.nSexLimit = nSexLimit;
    }

    public String getcSyrq() {
        return cSyrq;
    }

    public void setcSyrq(String cSyrq) {
        this.cSyrq = cSyrq;
    }

    public String getcDetail() {
        return cDetail;
    }

    public void setcDetail(String cDetail) {
        this.cDetail = cDetail;
    }

    public Integer getnSaleNumber() {
        return nSaleNumber;
    }

    public void setnSaleNumber(Integer nSaleNumber) {
        this.nSaleNumber = nSaleNumber;
    }

    public LocalDateTime getDtCreateTime() {
        return dtCreateTime;
    }

    public void setDtCreateTime(LocalDateTime dtCreateTime) {
        this.dtCreateTime = dtCreateTime;
    }
}
